Update WellPlate
Update WellPlate.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
well_plate_id
ID of the WellPlate.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Request
This endpoint expects an object.
archiveReason
Why the plate is archived
archived
Whether the plate is archived
barcode
Barcode of the plate
name
Name of the plate; defaults to barcode if name is not provided
parentStorageId
projectId
schemaFields
Schema field values that belong to the plate
Response
OK
__typename
creator
The user who created the plate
schemaFields
Schema field values that belong to the plate
archiveReason
Why the plate is archived
archived
Whether the plate is archived
barcode
Barcode of the plate
createdAt
DateTime the plate was created
id
ID of the plate
modifiedAt
DateTime the plate was last modified
name
Name of the plate; defaults to barcode if name is not provided
parentStorage
Containing parent storage
project
The project the plate is associated with
schema
The schema of the plate
Errors
400
Well Plate Update Request Bad Request Error
403
Well Plate Update Request Forbidden Error
404
Well Plate Update Request Not Found Error
409
Well Plate Update Request Conflict Error
429
Well Plate Update Request Too Many Requests Error
500
Well Plate Update Request Internal Server Error